package com.ym.mec.education.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 员工表
 * </p>
 *
 * @author lemeng
 * @since 2019-09-25
 */
@TableName("employee")
public class Employee extends Model<Employee> {

    private static final long serialVersionUID = 1L;

    @TableId("user_id_")
    private Integer userId;
    @TableField("organ_id_")
    private Integer organId;
    /**
     * 工作性质（兼职、全职、临时）
     */
    @TableField("job_nature_")
    private String jobNature;
    /**
     * 是否试用期(1-是 0-否)
     */
    @TableField("is_probation_period_")
    private String isProbationPeriod;
    /**
     * 学历
     */
    @TableField("education_background_")
    private String educationBackground;
    /**
     * 毕业学校
     */
    @TableField("graduate_school_")
    private String graduateSchool;
    /**
     * 技术职称
     */
    @TableField("technical_titles_")
    private String technicalTitles;
    /**
     * 入职时间
     */
    @TableField("entry_date_")
    private Date entryDate;
    /**
     * 证件类型
     */
    @TableField("certificate_type_")
    private String certificateType;
    /**
     * 证件号码
     */
    @TableField("certificate_num_")
    private String certificateNum;
    @TableField("update_time_")
    private Date updateTime;
    @TableField("create_time_")
    private Date createTime;
    /**
     * 介绍
     */
    @TableField("introduction_")
    private String introduction;
    /**
     * 离职日期
     */
    @TableField("demission_date_")
    private Date demissionDate;


    public Integer getUserId() {
        return userId;
    }

    public Employee setUserId(Integer userId) {
        this.userId = userId;
        return this;
    }

    public Integer getOrganId() {
        return organId;
    }

    public Employee setOrganId(Integer organId) {
        this.organId = organId;
        return this;
    }

    public String getJobNature() {
        return jobNature;
    }

    public Employee setJobNature(String jobNature) {
        this.jobNature = jobNature;
        return this;
    }

    public String getIsProbationPeriod() {
        return isProbationPeriod;
    }

    public Employee setIsProbationPeriod(String isProbationPeriod) {
        this.isProbationPeriod = isProbationPeriod;
        return this;
    }

    public String getEducationBackground() {
        return educationBackground;
    }

    public Employee setEducationBackground(String educationBackground) {
        this.educationBackground = educationBackground;
        return this;
    }

    public String getGraduateSchool() {
        return graduateSchool;
    }

    public Employee setGraduateSchool(String graduateSchool) {
        this.graduateSchool = graduateSchool;
        return this;
    }

    public String getTechnicalTitles() {
        return technicalTitles;
    }

    public Employee setTechnicalTitles(String technicalTitles) {
        this.technicalTitles = technicalTitles;
        return this;
    }

    public Date getEntryDate() {
        return entryDate;
    }

    public Employee setEntryDate(Date entryDate) {
        this.entryDate = entryDate;
        return this;
    }

    public String getCertificateType() {
        return certificateType;
    }

    public Employee setCertificateType(String certificateType) {
        this.certificateType = certificateType;
        return this;
    }

    public String getCertificateNum() {
        return certificateNum;
    }

    public Employee setCertificateNum(String certificateNum) {
        this.certificateNum = certificateNum;
        return this;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public Employee setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
        return this;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public Employee setCreateTime(Date createTime) {
        this.createTime = createTime;
        return this;
    }

    public String getIntroduction() {
        return introduction;
    }

    public Employee setIntroduction(String introduction) {
        this.introduction = introduction;
        return this;
    }

    public Date getDemissionDate() {
        return demissionDate;
    }

    public Employee setDemissionDate(Date demissionDate) {
        this.demissionDate = demissionDate;
        return this;
    }

    @Override
    protected Serializable pkVal() {
        return this.userId;
    }

    @Override
    public String toString() {
        return "Employee{" +
        ", userId=" + userId +
        ", organId=" + organId +
        ", jobNature=" + jobNature +
        ", isProbationPeriod=" + isProbationPeriod +
        ", educationBackground=" + educationBackground +
        ", graduateSchool=" + graduateSchool +
        ", technicalTitles=" + technicalTitles +
        ", entryDate=" + entryDate +
        ", certificateType=" + certificateType +
        ", certificateNum=" + certificateNum +
        ", updateTime=" + updateTime +
        ", createTime=" + createTime +
        ", introduction=" + introduction +
        ", demissionDate=" + demissionDate +
        "}";
    }
}
